/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
import expect from 'expect';
import {
  displayShipping,
} from './includes';

import {
  displayShipping as displayShippingIndex,
} from './greater';

describe('includes actions', () => {
  it('should display shipping using index', () => {
    const sections = ['shipping', 'address'];
    expect(displayShippingIndex(sections)).toEqual(true);
  });

  it('should not display shipping using index', () => {
    const sections = ['contact', 'address'];
    expect(displayShippingIndex(sections)).toEqual(false);
  });

  it('should display shipping', () => {
    const sections = ['shipping', 'address'];
    expect(displayShipping(sections)).toEqual(true);
  });

  it('should not display shipping', () => {
    const sections = ['contact', 'address'];
    expect(displayShipping(sections)).toEqual(false);
  });
});
