/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable block-scoped-var, no-redeclare, no-var, no-undef, no-unused-vars, vars-on-top */

function configureTimePermissions({ title }) {
  if (title === 'manager') {
    var permissions = ['time', 'pay'];
  } else {
    var permissions = ['time'];
  }
  return permissions;
}

function configureTimePermissions({ title }) {
//  
  if (title === 'manager') {
    const permissions = ['time', 'pay'];
  } else {
    const permissions = ['time'];
  }
  permissions;
  // ReferenceError: permissions is not defined
  //  
  return permissions;
}
function configureTimePermissionsScope({ title }) {
//  
  let permissions;
  if (title === 'manager') {
    permissions = ['time', 'pay'];
  } else {
    permissions = ['time'];
  }
  //  
  return permissions;
}

export { configureTimePermissions, configureTimePermissionsScope };
