/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable no-nested-ternary, no-unused-vars */

function configureTimePermissions({ title }) {
  // 
  const permissions = title === 'supervisor' || title === 'manager' ?
    title === 'manager' ?
      ['time', 'overtimeAuthorization', 'pay'] : ['time', 'overtimeAuthorization']
    : ['time'];
  // 
  return permissions;
}

// 
function getTimePermissions({ title }) {
  if (title === 'manager') {
    return ['time', 'overtimeAuthorization', 'pay'];
  }

  if (title === 'supervisor') {
    return ['time', 'overtimeAuthorization'];
  }
  return ['time'];
}

const permissions = getTimePermissions({ title: 'employee' });
// ['time']
// 

export { configureTimePermissions };
