/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable no-console */
import expect from 'expect';
import { setLatestPost } from './posts';

describe('set latest', () => {
  it('should update post', () => {
    const title = 'Doc Watson Gets the Blues';
    function fakeService() {
      return Promise.resolve({ title });
    }

    const el = {
      innerHTML: '',
    };

    return setLatestPost(el, 1, fakeService)
      .then(() => {
        expect(el.innerHTML).toEqual(title);
      })
      .catch(e => {
        // Getting here is bad.
        console.log(e);
        expect(true).toEqual(false);
      });
  });
});
