/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable no-console */
function getPost(id) {
  return fetch(`https://jsonplaceholder.typicode.com/posts/${id}`)
    .then(data => {
      if (!data.ok) {
        throw Error(data.status);
      }
      return data.json();
    })
    .catch(e => {
      console.log(e);
    });
}

export { getPost };
