/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
import { redirect } from './routing';
import { getTaxInformation } from './taxService';

function formatPrice({ price, location }) {
  const user = document.getElementById('user').innerHTML; 

  if (!location) { 
    redirect('/');
    return;
  }

  const rate = getTaxInformation(location); 
  const taxes = rate ? `plus $${price * rate} in taxes.` : 'plus tax.';

  const totalEl = document.getElementById('total'); 
  totalEl.innerHTML = `${user} your total is: ${price} ${taxes}`;
}

export { formatPrice };
