/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable no-unused-vars */

import { building, manager, program, exhibit } from './partial';

function mergeProgramInformation(building, manager, program) {
  const { hours, address } = building;
  const { name, phone } = manager;
  const defaults = {
    hours,
    address,
    contact: name,
    phone,
  };

  return { ...defaults, ...program };
}

const programInfo = mergeProgramInformation(building, manager, program);

const exhibitInfo = mergeProgramInformation(building, manager, exhibit);

export { mergeProgramInformation };
