/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable prefer-arrow, no-unused-vars, func-names, prefer-arrow-callback */

//  
function key() {
  return 'abc123';
}
//  

//  
function capitalize(name) {
  return name[0].toUpperCase() + name.slice(1);
}
//  

//  
function greet(first, last) {
  return `Oh, hi ${capitalize(first)} ${capitalize(last)}`;
}
//  

//  
function formatUser(name) {
  return `${capitalize(name)} is logged in.`;
}
//  

//  
function applyCustomGreeting(name, callback) {
  return callback(capitalize(name));
}
//  

function greetWithExcitement() {
  const greeting =
    //  
  applyCustomGreeting('mark', function (name) {
    return `Oh, hi ${name}!`;
  });
  //  
  return greeting;
}

export {
  applyCustomGreeting,
  capitalize,
  formatUser,
  greet,
  greetWithExcitement,
  key,
};
