/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable no-unused-vars */

const team = [
  'Michelle B',
  'Dave L',
  'Dave C',
  'Courtney B',
  'Davina M',
];

function getDaveVariants(team) {
  const daves = [];
  for (let i = 0; i < team.length; i++) {
    if (team[i].match(/Dav/)) {
      daves.push(team[i]);
    }
  }
  return daves;
}

const instructors = [
  {
    name: 'Jim',
    libraries: ['MERIT'],
  },
  {
    name: 'Sarah',
    libraries: ['Memorial', 'SLIS'],
  },
  {
    name: 'Eliot',
    libraries: ['College Library'],
  },
];

function findMemorialInstructor(instructors) {
  let memorialInstructor;
  for (let i = 0; i < instructors.length; i++) {
    if (instructors[i].libraries.includes('Memorial')) {
      memorialInstructor = instructors[i];
      break;
    }
  }
  return memorialInstructor;
}

export {
  getDaveVariants,
  findMemorialInstructor,
};
