/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
function getInstruments(band) {
  const instruments = [];
  for (let i = 0; i < band.length; i++) {
    const instrument = band[i].instrument; 
    instruments.push(instrument); 
  }
  return instruments;
}

function getInstrument(member) {
  return member.instrument;
}

function getInstruments2(band) {
  const instruments = [];
  for (let i = 0; i < band.length; i++) {
    instruments.push(getInstrument(band[i]));
  }
  return instruments;
}

export { getInstruments, getInstruments2 };
