/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
import expect from 'expect';
import { getPrices, getPrices2 } from './methods';
import { getPrices as gProblem, getPrices2 as gProblem2 } from './problem';

describe('problem methods', () => {
  it('should get formatted prices', () => {
    expect(gProblem()).toEqual([1.0, 2.15]);
  });

  it('should get formatted prices', () => {
    expect(gProblem2()).toEqual([1.0, 2.15]);
  });
});

describe('solution methods', () => {
  it('should get formatted prices', () => {
    expect(getPrices()).toEqual([1.0, 2.15]);
  });

  it('should get formatted prices', () => {
    expect(getPrices2()).toEqual([1.0, 2.15]);
  });
});
