/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
function getPrices() {
  const prices = ['1.0', '2.15'];

  const formattedPrices = [];
  for (let i = 0; i < prices.length; i++) {
    formattedPrices.push(parseFloat(prices[i]));
  }
  return formattedPrices;
}

function getPrices2() {
  const prices = ['1.0', 'negotiable', '2.15'];

  const formattedPrices = []; 
  for (let i = 0; i < prices.length; i++) { 
    const price = parseFloat(prices[i]);
    if (price) { 
      formattedPrices.push(price);
    }
  }
  return formattedPrices;
}

export { getPrices, getPrices2 };
