/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable no-var, prefer-const */
export function getTotal() {
//  
  const taxRate = 0.1;

  const total = 100 + (100 * taxRate);

  // Skip 100 lines of code

  return `Your Order is ${total}`;
//  
}

export function getTotalVar() {
//  
  var taxRate = 0.1;

  var total = 100 + (100 * taxRate);

  // Skip 100 lines of code

  return `Your Order is ${total}`;
//  
}

export function getTotalLet() {
//  
  const taxRate = 0.1;
  const shipping = 5.00;

  let total = 100 + (100 * taxRate) + shipping;

  // Skip 100 lines of code

  return `Your Order is ${total}`;
//  
}

export function mutableDiscount(cart) {
//  
  const discountable = [];

  // Skip some lines

  for (let i = 0; i < cart.length; i++) {
    if (cart[i].discountAvailable) {
      discountable.push(cart[i]);
    }
  }
  //  
  return discountable;
}

export function discountable(cart) {
//  
  const discountable = cart.filter(item => item.discountAvailable);
  //  
  return discountable;
}

