/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable no-var, block-scoped-var, vars-on-top, no-redeclare, func-names, no-loop-func,
no-param-reassign, no-unused-vars, no-var, prefer-const
*/

// 
function getLowestPrice(item) {
  let count = item.inventory;
  let price = item.price;

  if (item.salePrice) {
    let count = item.saleInventory;
    if (count > 0) {
      price = item.salePrice;
    }
  }

  if (count) {
    return price;
  }

  return 0;
}
// 

// 
function addClickLet(items) {
  for (let i = 0; i < items.length; i++) { 
    items[i].onClick = function () { return i; };
  }
  return items;
}
const exampleLet = [{}, {}];
const clickSetLet = addClickLet(exampleLet);
clickSetLet[0].onClick();
// 

export {
  getLowestPrice,
};
