/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
function greet(name) {
  return `Hi, ${name}`;
}
greet('Leo');
'Hi, Leo';

function yell(name) {
  return `HI, ${name.toUpperCase()}!`;
}
greet('Pankaj');
'HI, PANKAJ!';

function leapYearConverter(age) {
  return `You'd be ${Math.floor(age / 4)} if born on a leap year.`;
}
leapYearConverter(34);
// "You'd be 8 if born on a leap year."

function getProvider() {
  // stub for get provider
  return 'pragprog.com/cloud';
}

function generateLink(image, width) {
  return `https://${getProvider()}/${image}?width=${parseInt(width, 10)}`;
}

export { generateLink, greet, leapYearConverter, yell };
