/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
import React from 'react';

import './App.css';
import IdeaButton from './components/IdeaButton/IdeaButton';
import Copyright from './components/Copyright/Copyright';

function logIdea() {
  console.log('Someone had an idea!');
}

export default function App() {
  return (
    <div className="main">
      <div className="app">
        <IdeaButton
          message="I have an idea!"
          handleClick={logIdea}
        />
      </div>
      <footer>
        <Copyright />
        <IdeaButton
          message="Footer idea!"
          handleClick={logIdea}
        />
      </footer>
    </div>
  );
}

