/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
import expect from 'expect';
import { getAddressByRegion } from './list';

const clubs = [
  {
    name: 'CBGB',
    address: {
      street: '315 bowery',
      city: 'New York',
      state: 'ny',
    },
  },
  {
    name: 'Saint Vitus',
    address: {
      street: '1120 manhattan ave',
      city: 'Brooklyn',
      state: 'NY',
    },
  },
];

describe('list', () => {
  it('should compile clubs', () => {
    expect(getAddressByRegion(clubs)).toEqual({
      NY: [
        '315 Bowery New York, NY',
        '1120 Manhattan Ave Brooklyn, NY',
      ],
    });
  });
});
