/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
import expect from 'expect';
import { mapToObject, objectToMap } from './merge';

describe('utilities', () => {
  it('should convert map to object', () => {
    const simple = new Map().set('name', 'joe');
    expect(mapToObject(simple)).toEqual({ name: 'joe' });
  });
  it('should convert object to map', () => {
    const person = { name: 'joe' };
    const simple = new Map().set('name', 'joe');
    expect(objectToMap(person)).toEqual(simple);
  });
});
