/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
// 
function getUnique(attributes) {
  return [...new Set(attributes)];
}
// 

// 
function getUniqueColors(dogs) {
  const unique = new Set();
  for (const dog of dogs) {
    unique.add(dog.color);
  }
  return [...unique];
}
// 

function getUniqueColorsReduce(dogs) {
  const colors =
// 
[...dogs.reduce((colors, { color }) => colors.add(color), new Set())];
  // 
  return colors;
}

export { getUnique, getUniqueColors, getUniqueColorsReduce };
