/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
// 
function getIconPath(icon) {
  const path = icon.path ? icon.path : 'uploads/default.png';
  return `https://assets.foo.com/${path}`;
}
// 

// 
function getImage(userConfig) {
  const images = userConfig.images;
  return images && images.length ? images[0] : 'default.png';
}
// 

function getImageOneLine(userConfig) {
// 
  const images = userConfig.images;
  return images &&
              images.length &&
              images[0].indexOf('gif') < 0
    ? images[0] : 'default.png';
// 
}

export { getIconPath, getImage, getImageOneLine };
