/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
function sendActiveMemberEmail(sailors, sendEmail) {
  const active = sailors.filter(sailor => sailor.active);

  // [
  //   {
  //     name: 'yi hong',
  //     active: true,
  //     email: 'yh@yhproductions.io',
  //   },
  //   {
  //     name: 'alex',
  //     active: true,
  //     email: '',
  //   },
  // ];

  const emails = active.map(member => member.email 
                 || `${member.name}@wiscsail.io`);

  // [ 'yh@yhproductions.io', 'alex@wiscsail.io' ]

  emails.forEach(sailor => sendEmail(sailor));
}

export { sendActiveMemberEmail };
