/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/

function getPrices() {
  const prices = ['1.0', '2.15'];
  const formattedPrices = prices.map(price => parseFloat(price));
  // [1.0, 2.15];
  return formattedPrices;
}

function getPrices2() {
  const prices = ['1.0', 'negotiable', '2.15'];
  const formattedPrices = prices.map(price => parseFloat(price))
  // [1.0, NaN, 2.15]
    .filter(price => price);
  // [1.0, 2.15]
  return formattedPrices;
}

export { getPrices, getPrices2 };
