/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
import expect from 'expect';

import { getTotal, mutableDiscount, discountable } from './const';

it('should get total', () => {
  expect(getTotal()).toEqual('Your Order is 110');
});

describe('discountable', () => {
  const cart = [
    {
      item: 'Book',
      discountAvailable: false,
    },
    {
      item: 'Magazine',
      discountAvailable: true,
    },
  ];

  it('should get discountable', () => {
    expect(mutableDiscount(cart).length).toEqual(1);
  });

  it('should get discountable', () => {
    expect(discountable(cart).length).toEqual(1);
  });
});
