/***
 * Excerpted from "Simplifying JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/es6tips for more book information.
***/
/* eslint-disable no-redeclare */
function getLowestPriceDeclaration(item) {
  const count = item.inventory;
  let price = item.price;

  if (!count) {
    return 0;
  }

  // ...

  let price = item.saleInventory ? item.salePrice : item.wholesalePrice;

  return price;
}

export default getLowestPriceDeclaration;
